# List facilities Returns a page of facilities. Endpoint: GET /facilities Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `name` (string) If set, the items will be filtered on facilities with the specified name. - `deactivated` (boolean) If set, the items will be filtered on facilities with the specified deactivated status. - `parentFacilityId` (string) - `sortedBy` (string) The property by which the returned data will be sorted. Enum: "Id", "Name" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `count` (integer) The number of items to include in a single page. - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `sort` (object) The properties and directions the data is sorted by. Example: {"Id":"Asc"} - `sort.Keys` (string) Enum: "Id", "Name" - `sort.Values` (string) Enum: "Asc", "Desc" - `previousCursor` (string) The value to use for cursor to get to the previous paginated page. null will be returned if it's the first page. Example: "string" - `nextCursor` (string) The value to use for cursor to get to the next paginated page. null will be returned if it's the last page. Example: "string" - `pageSize` (integer) The maximum number of items included in this page. - `count` (integer) The number of items in this page. - `totalCount` (integer) The total number of items in all pages combined. - `items` (array) The facilities in the current page. Example: [{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","name":"string","deactivated":"bool","dba":"string","addressLine1":"string","addressLine2":"string","city":"string","state":"enum","zipCode":"string","phoneNumber":"string","faxNumber":"string","groupTaxId":"string","facilityTaxId":"string","contactName":"string","contactEmail":"string"}] - `items.id` (string) - `items.name` (string) The name of this facility. - `items.createdAt` (string) Timestamp when this facility was created. - `items.deactivated` (boolean) If set, the facility is deactivated. - `items.parentFacilityId` (string) - `items.dba` (string) The DBA of this facility. - `items.addressLine1` (string) The street address of this facility. - `items.addressLine2` (string) The secondary address information of this facility. - `items.city` (string) The city in which the facility address is located. - `items.state` (string) The state in which the facility address is located. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.zipCode` (string) The postal code associated with the facility address. - `items.phoneNumber` (string) Phone number associated with the facility. - `items.faxNumber` (string) Fax number associated with the facility. - `items.groupTaxId` (string) The group tax id associated with the facility. - `items.facilityTaxId` (string) The tax id associated with the facility. - `items.contactName` (string) The contact name associated with the facility. - `items.contactEmail` (string) The contact email associated with the facility. - `items.medicarePartANumber` (string) - `items.medicarePartBNumber` (string) - `items.medicaidNumber` (string) - `sortedBy` (string) The property by which the data is sorted. Enum: "Id", "Name" - `sortDirection` (string) The direction in which the data is sorted. Enum: "Asc", "Desc" - `nextOffset` (integer) The value to use for offset to get the next page following the current page or null if this page is the last. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields